# QAnimationGroup Class Reference

### [com.trolltech.qt.core package]

Inherits QAbstractAnimation.

### Constructor

- void QAnimationGroup(QObject parent)

### Constructor Properties

- prototype: The QAnimationGroup prototype object

### Prototype Object Properties

The QAnimationGroup prototype object inherits properties from the QAbstractAnimation prototype object and also has the following properties.

- void addAnimation(QAbstractAnimation animation)
- QAbstractAnimation animationAt(int index)
- int animationCount()
- void clear()
- int indexOfAnimation(QAbstractAnimation animation)
- void insertAnimation(int index, QAbstractAnimation animation)
- void removeAnimation(QAbstractAnimation animation)
- QAbstractAnimation takeAnimation(int index)

### Instance Properties

QAnimationGroup objects have no special properties beyond those inherited from the QAnimationGroup prototype object.